%define pkg_name        App-Info
%define pkg_version     0.52
%define rpm_pkg_version 0.52
%define rpm_pkg_release 1.n0i.3

Summary:       Information about software packages on a system
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DW/DWHEELER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)
%{!?_without_test:BuildRequires: perl(File::Spec)}
%{!?_without_test:BuildRequires: perl(Test::Simple) >= 0.17}

%global perl_filter_prov 'perl\\(App::Info\\)$'


%description
App::Info is an abstract base class designed to provide a generalized
interface for subclasses that provide metadata about software packages
installed on a system. The idea is that these classes can be used in Perl
application installers in order to determine whether software dependencies
have been fulfilled, and to get necessary metadata about those software
packages.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Mon Aug 20 2007 Marius Feraru <altblue@n0i.net> - 0.52-1.n0i.3
- version 0.52

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.51-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.51

* Sat Apr 15 2006 Marius Feraru <altblue@n0i.net> 0.49-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
